Page MenuHomePhabricator

Yuvipanda can't connect his phab account
Closed, ResolvedPublic

Description

Unknown or missing ldap names: yuvipanda

This looks like striker might be sending the shell name rather than the wikitech user name to the lookup api.

Event Timeline

bd808 created this task.Aug 25 2016, 11:34 PM
Restricted Application added a project: User-bd808. · View Herald TranscriptAug 25 2016, 11:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

So many usernames, so little time.

bd808 added a comment.Aug 26 2016, 1:06 AM

Calling https://phabricator.wikimedia.org/conduit/method/user.ldapquery/ with ["Yuvipanda"] succeeds, while ["yuvipanda"] fails. Striker thinks that the canonical LDAP username for the account is yuvipanda. My guess is that this has something to do with MediaWiki's Title case conversion and possibly the point at which it is done. It may however be a bug in Striker itself if it is doing case-insensitive lookups to LDAP and keeping the user entered value over the LDAP returned data. Needs more investigation.

bd808 moved this task from Backlog to Ready on the Striker board.Aug 26 2016, 1:10 AM
bd808 added a subscriber: MaxSem.

From the logs: "Unknown or missing ldap names: maxsem" looks likely to be a similar problem for @MaxSem

bd808 moved this task from To Do to In Dev/Progress on the User-bd808 board.Aug 26 2016, 3:37 AM

Change 306868 had a related patch set uploaded (by BryanDavis):
Map cn (common name) to ldapname

https://gerrit.wikimedia.org/r/306868

bd808 added a comment.Aug 26 2016, 3:53 AM

From the logs: "Unknown or missing ldap names: maxsem" looks likely to be a similar problem for @MaxSem

This is actually not an error. The Phabricator account for @MaxSem is not linked to an LDAP user account.

Change 306868 merged by jenkins-bot:
Map cn (common name) to ldapname

https://gerrit.wikimedia.org/r/306868

bd808 moved this task from Ready to Doing on the Striker board.Aug 26 2016, 5:02 AM
bd808 triaged this task as High priority.Aug 26 2016, 5:36 PM

Mentioned in SAL [2016-08-26T17:42:47Z] <bd808> Updated striker to fix T143956

After deploying the patch I also manually updated the database entries for @yuvipanda, @MaxSem, and @valhallasw. All 3 have sn != cn in their LDAP records.

Mentioned in SAL [2016-08-26T22:51:48Z] <apergos> from a few hours ago: (08:42:47 μμ) bd808: !log Updated striker to fix T143956

bd808 closed this task as Resolved.Aug 26 2016, 11:04 PM
bd808 moved this task from In Dev/Progress to Archive on the User-bd808 board.Sep 1 2016, 5:13 PM
bd808 moved this task from Doing to Done on the Striker board.Mar 4 2017, 3:57 AM